import React from 'react';
import { IconsData } from '../hooks/useGithubAutomatedRepos';
/**
 * @param {string} iconItem - Mandatory: ex.: item.topics.map(topics)...  iconItem={topics}
 * @param {string} className - Optional: style className.
 * @returns {<img/>} - Return tag img, project svg icon.
 */
export function ProjectIcons({ iconItem, className }) {
    const { projectIcons } = IconsData();
    return (React.createElement("div", null, projectIcons[iconItem] ? (React.createElement("img", { className: className, alt: projectIcons[iconItem], src: projectIcons[iconItem] })) : (React.createElement(React.Fragment, null, " "))));
}
